Bug 501601 - Display is blanked when system is not idle (X inhibit problem)
Display is blanked when system is not idle (X inhibit problem)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
11
All Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs
: 506946 508397 516314 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-19 18:48 EDT by Paul W. Frields
Modified: 2010-10-23 05:41 EDT (History)
81 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-15 13:55:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log of 'gnome-power-manager --verbose' output (37.47 KB, text/plain)
2009-05-19 18:48 EDT, Paul W. Frields
no flags Details

  None (edit)
Description Paul W. Frields 2009-05-19 18:48:32 EDT
Created attachment 344724 [details]
Log of 'gnome-power-manager --verbose' output

gnome-power-manager-2.26.1-3.fc11.x86_64

Dell XPS M1330 laptop, with NVidia 8400M GS video, using nouveau driver only.
Set nouveau.modeset=1 at boot time, not sure yet if that's relevant.

g-p-m powers off the screen without warning (it was almost four hours into my most recent session).  Moving the mouse, and hitting the Ctrl or Alt key, do not bring the screen back.  I was able to reboot normally using keystrokes from memory.

I am not using modesetting now, to see if that makes any difference in the performance.

I captured a log of g-p-m for this last session, up to the point where I rebooted the system out from under my GNOME session.
Comment 1 Paul W. Frields 2009-05-19 18:49:01 EDT
This bug may be related to bug 498041, but I'm not sure.
Comment 2 Adam Williamson 2009-05-20 16:46:32 EDT
it's definitely not a recurrence of the *same* bug, because the symptoms are slightly different (in that case, the display blanked dependably after exactly 1 or 2 minutes of inactivity - not randomly - and the bug only occurred if the time out was set to 'never'. Also, the display was simply asleep, moving the mouse did recover it.

As a data point, I suffered from 498041, but I do not suffer from this bug.

Several people have discussed similar issues on fedora-test-list, but most sufferers seem to find that moving the mouse or hitting a key *do* bring the screen back.
Comment 3 Paul W. Frields 2009-05-20 19:17:36 EDT
Another data point, maybe:  With modesetting off, again under the nouveau driver (i.e. the default), I still experience the problem with the display powering off for no apparent reason while I'm working, but now it comes back when I move the mouse or hit a key.

So to sum up:
* different bug
* nouveau.modeset=1 --> when display powers off, it's gone for good
* (no modesetting)  --> when display powers off, it can be reactivated normally

I haven't captured a g-p-m log under the no-modesetting use case yet, but I can if that's helpful.

P.S. I apologize for the list chaff, I didn't read the context far enough back to realize this was indeed a separate bug, even if somehow related.
Comment 4 Adam Williamson 2009-05-29 14:26:57 EDT
This may well be of interest:

http://blogs.gnome.org/hughsie/2009/05/29/gnome-power-manager-unstableness/

Richard, I don't suppose there's any chance of a scratch build of the latest git for easier testing?
Comment 5 Adam Williamson 2009-05-29 15:03:20 EDT
Okay, I decided not to be a lazy ass for once in my life, and I'll do the build myself. Test packages coming shortly.
Comment 7 Adam Williamson 2009-05-29 15:48:17 EDT
i586 package:

http://adamwill.fedorapeople.org/gnome-power-manager/gnome-power-manager-2.27.1-0.4.20090529git.fc11.i586.rpm

please give the appropriate one for your system a shot and let us know if it fixes the problem, thanks!
Comment 8 Paul W. Frields 2009-05-30 17:05:01 EDT
I've been using this package for over a day now and I haven't seen the problem recur.
Comment 9 Charles R. Anderson 2009-05-30 17:51:29 EDT
This *does not* fix the problem for me.  In fact, it seems *more* frequent now:

gnome-power-manager-2.27.1-0.4.20090529git.fc11.x86_64
xorg-x11-drv-intel-2.7.0-7.fc11.x86_64
xorg-x11-server-Xorg-1.6.1.901-2.fc11.x86_64
kernel-2.6.29.4-167.fc11.x86_64
DeviceKit-power-008-0.1.20090401git.fc11.x86_64
Comment 10 Paul W. Frields 2009-05-30 20:37:41 EDT
The problem *just* recurred for me, too, I'm sorry to say.
Comment 11 Bug Zapper 2009-06-09 12:08:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Rahul Sundaram 2009-06-10 21:00:16 EDT
I am seeing this quite a bit and it is very very annoying.
Comment 13 Richard Hughes 2009-06-11 04:03:33 EDT
You've tried https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5740, right?
Comment 14 Jason Woofenden 2009-06-14 10:45:03 EDT
I think I've discovered the culprit here. The update above (comment #13) and that didn't seem to make any difference.

I haven't had this fix in place for long, so I'm hoping you all can help test it, and see if this is it.

I noticed from poking around in the various preferences panels, that there are two things that blank the screen:

1) the power management

2) the screensaver

and that these have different timeouts. From my limited testing, it appears that it's the screensaver that's blanking the screen when I'm in the middle of typing, not the power management. Looks like I've got this fixed by unchecking "activate screensaver when computer is idle" in the _Screensaver_ preferences.


Here's some notes on exactly what I did to test:

bug step 1) System -> Preferences -> Screensaver: set "regard computer as idle after" to 1 minute (and made sure "activate screensaver when computer is idle" was checked)

bug step 2) System -> Preferences -> Power Management: set "put display to sleep when inactive for" to 3 minutes. (I'm always on AC power, because I removed the (dead) batter from this laptop (Dell Inspiron 5100))

With this setup I had the screen blank on me in the middle of typing.


I've since disabled the Screensaver activation in System -> Preferences -> Screensaver and haven't been interrupted by a blank yet. I've not waited long enough to be totally sure, but wanted to pass on my preliminary findings anyway.

Hope this helps.

If this is confirmed (that screensaver preferences are the culprit) would we need to reassign this bug? or is the screensaver stuff included within gnome-power-manager?
Comment 15 Adam Williamson 2009-06-16 20:55:58 EDT
if it's confirmed it should be re-assigned. can all other reporters please test if unchecking "activate screensaver when computer is idle" in gnome-screensaver-preferences solves the problem?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 16 Borut Semenic 2009-06-17 08:59:18 EDT
The step 2. from Comment #14  don't solve the problem.
Comment 17 Jason Woofenden 2009-06-17 13:08:52 EDT
Borut,

Only step 2 I see above is part of how to reproduce the bug.

The workaround I proposed was to go to the _Screensaver_ panel (NOT the power management panel described in step 2) an UNcheck "activate screensaver when computer is idle". What did you do exactly?


All,

I've not been interrupted by a blanking since my last post 3 days ago, so the workaround continues to work for me. Even with the power management screen set to put the display to sleep after being inactive for 1 minute. Ie it only blanks when I'm really idle.
Comment 18 Stefan Jensen 2009-06-19 09:23:45 EDT
*** Bug 506946 has been marked as a duplicate of this bug. ***
Comment 19 Borut Semenic 2009-06-22 02:53:20 EDT
Jason,

I do have an uncheck box "activate screensaver when
computer is idle" in screensaver panel.
In power managment (On AC power) I have "put display to sleep when inactive for" 30 min.

And black screen appears randomly.
Comment 20 Chess Griffin 2009-06-23 22:23:12 EDT
I have encountered this issue and had the screensaver activated.  I have now unchecked it and will report back in a day or two on whether the blanking has occurred.
Comment 21 Gianluca Sforna 2009-06-27 04:47:28 EDT
I just unchecked the "activate screensaver when computer is idle" in
gnome-screensaver-preferences, will report back if I see again the screen powering off.
Comment 22 Peter Robinson 2009-06-27 07:04:02 EDT
On my Dell D630 with nvidia chipset I still see the issue with the screensaver disabled.
Comment 23 Gianluca Sforna 2009-06-27 16:42:36 EDT
Just happened again, it really seems the screensaver has nothing to do with it.

Is there a way to activate a debug log for g-p-m?
Comment 24 Joachim Frieben 2009-06-30 11:02:05 EDT
For a system using an ATI Radeon X800, the attached 21" CRT HP A4576A is powered off intermittently just to resume an instant later. In Xorg.0.log, a trailing pair of lines appears, namely

  "disable primary dac"
  "enable primary dac"

Timeout interval in g-p-m was set to 30 minutes but not elapsed.
Comment 25 Phil G 2009-06-30 11:42:37 EDT
Just built two identical desktops. Installed F11 on both. Specs:

Motherboard: ASRock A780GMH/128M
Video: ATI Radeon HD 3200 (onboard)
Processor: Athlon X2 7750
RAM: 4GB Patriot Viper DDR2 800
Display: Acer X223XBD (22" 1680x1050)

Tried every "fix" so far, but nothing has helped.

What is strange is that only one of the monitors does it more often. Both of them do the occasional flick on/off, but one does it A LOT more. I tested it by swapping the LCDs between the computers, and one shows the bug more often. I will try to hook it up to a windoze computer soon to see if that makes a difference, and if it does, I will attempt to get it RMA'd.

The one event where I can get it to flash the screen almost every time is loading a web page where it uses javascript to load an image file. Though, it only does it for certain web pages. Also, I can only get it to do it in Firefox; it will not do it using Opera.

This is quite an annoying bug. Hopefully we can get it pinned down soon. I tried logging the output of gpm by killing gpm first, and then restarting it with --verbose and --no-daemon options. There was no output at all when the screen flickered.
Comment 26 abrouwers 2009-06-30 18:55:52 EDT
I can also confirm that the test build does NOT work here.  Actually, it makes it worse; now, not only does my screen flicker for a few seconds, it comes back very dim.

My hardware includes mostly intel components (wireless (3945), video (X3100), cpu (c2d 7250)).  I"m on a completely updated F11 install:

[root@thinkpad andrew]# rpm -qa | grep -e kernel -e gnome-power
gnome-power-manager-2.27.1-0.4.20090529git.fc11.x86_64
kernel-2.6.29.5-191.fc11.x86_64
kerneloops-0.12-5.fc11.x86_64
kernel-firmware-2.6.29.5-191.fc11.noarch
kernel-2.6.29.4-167.fc11.x86_64

Any chance of getting a 2.24.x build in between testing these?  Might help un-frustrate a few, as this is only one of a couple issues g-p-m 2.26.x is causing.
Comment 27 John O'Gara 2009-07-09 13:05:49 EDT
I use a Dell Precision 390 with Nvidia FX550 video card which was suffering from this bug, as user in comment #14 I disabled screen saver and have not suffered from the problem since, that's 2 days ago, it had been occuring multiple times in a single day.
Comment 28 Jason Woofenden 2009-07-10 04:59:11 EDT
I've found that disabling the screensaver as I described earlier doesn't solve the problem for me either. I didn't get a blank for quite a while after disabling the screensaver, but now it happens from time to time.

I think it's worth noting that I get blanks much much much less often, now that I've got the timout sliders under the screensaver and power management settings to wait a couple hours.

Guess that makes me suspect it's a problem with power management.

Hopefully someone who knows how to debug this can reproduce the issue.
Comment 29 Pedro Matiello 2009-07-11 21:50:50 EDT
I have the same issue.

My Smolt profile:
http://www.smolts.org/client/show/pub_e5297f20-4db9-4a1a-a0bf-81876d0274fc

Using: gnome-power-manager-2.26.3-1.fc11.x86_64

This message might be useful: http://www.mail-archive.com/fedora-list@redhat.com/msg46372.html
Comment 30 Rafał Polak 2009-07-18 03:34:35 EDT
Same thing happens to me. I have got Lenovo R400 laptop with Intel graphics card.
GPM version: gnome-power-manager-2.26.3-1.fc11.x86_64
My Smolt profile: http://www.smolts.org/client/show/pub_a99f9e86-f8ae-4c6b-8dcd-6da382bcb306
Comment 31 Gianluca Sforna 2009-07-18 04:12:15 EDT
As an additional debugging info, last time it happened to me I noticed the screen was not locked as it usually does when the screensaver kicks in. Looks really like something at a lower level sends a "switch off" signal to the monitor.

The screen is back as soon as I type something or move the mouse.
Comment 32 Adam Williamson 2009-07-20 15:09:23 EDT
"The screen is back as soon as I type something or move the mouse."

Then you do not have the same bug. See the initial report:

"Moving the mouse, and hitting the Ctrl or Alt key, do not bring the screen back."

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 33 Gianluca Sforna 2009-07-20 15:23:39 EDT
obviously I can't read...
Comment 34 Richard Hughes 2009-07-21 09:08:40 EDT
if you do:

killall gnome-power-manager
sleep 5 && xset dpms force off && sleep 1 && xset dpms force on

and then shut the lid, then wait 10 seconds, then re-open, is it also hung?
Comment 35 abrouwers 2009-07-21 09:32:21 EDT
I have been using some 2.27.x builds from koji for F11 (for g-p-m, and update devicekit), and the situation actually gets worse.  Now, when I hibernate and thaw my laptop, the screen renders itself completely useless.  It is completely black, but if I move my mouse, I see my wallpaper flicker onto my screen, but it then goes black once again.  Also, I notice that my screen no longer maintains its brightness level when the "random dpms off" kicks in; it will sometimes come back at half the brightness as before.
Comment 36 Paul W. Frields 2009-07-21 10:46:57 EDT
Hi Richard,

I'm the original reporter of the bug.  I'm using F11 with the following packages:

kernel-2.6.29.5-191.fc11.x86_64
xorg-x11-drv-nouveau-0.0.12-40.20090528git0c17b87.fc11.x86_64
*gnome-power-manager-2.26.3-1.fc11.x86_64
*DeviceKit-power-009-1.fc11.x86_64

* = might not matter

When I follow your instructions, using the nouveau driver without modesetting works.  Using it with modesetting ('nouveau.modeset=1') doesn't.  So you don't have to dig back, once again:

01:00.0 VGA compatible controller [0300]: nVidia Corporation GeForce 8400M GS [10de:0427] (rev a1)
Comment 37 Phil G 2009-07-22 12:09:03 EDT
(In reply to comment #32)
> "The screen is back as soon as I type something or move the mouse."
> 
> Then you do not have the same bug. See the initial report:
> 
> "Moving the mouse, and hitting the Ctrl or Alt key, do not bring the screen
> back."
> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers  

Then why does the Fedora 11 Common Bugs link to this page for the screen blanking at random briefly?

https://fedoraproject.org/wiki/Common_F11_bugs#Display_goes_blank_briefly.2C_apparently_at_random

"Several users have reported that their display will sometimes suddenly go blank for a brief period - a second or two - before coming back. This appears to be related to the GNOME power manager, but the precise cause has yet to be identified. There is no known reliable workaround for this problem, but the bug report contains a test build of a later version of gnome-power-manager which may solve the problem for some users (it definitely does not for others, however). We are working to try and identify the cause of this problem, and find a solution."

Anyway, I will update you guys anyway, and throw something else into the mix I have gotten sick of my display randomly blanking on me. I have switched to the analog VGA input for the past 2 days. It has not blanked once since I have done this. So it appears to only be doing it on the DVI connection.

but I really want my sharper DVI connection back....
Comment 38 udo 2009-07-22 13:42:17 EDT
DVI here as well, seeing it rarely go blank on x86_64.
Comment 39 Bernard Johnson 2009-07-22 13:52:33 EDT
I had the temporary blank and it was on VGA.  Updating to the latest packages seems to have fixed it for me since I've not seen it blank in a couple of days.

$ rpm -q gnome-power-manager
gnome-power-manager-2.26.3-1.fc11.i586
Comment 40 Jason Woofenden 2009-07-22 14:05:31 EDT
While we're listing display types, just thought I'd mention that this bug happens for me on the built-in display on my Dell Inspiron 5100 laptop.

For me the display always returns to normal after pressing a key. I've not tried sleep, hibernate, or closing the lid.
Comment 41 Joel Uckelman 2009-07-22 14:11:09 EDT
I've had the non-idle display blank happen pretty consistently with my Thinkpad T61 connected via a dock and VGA cable to my monitor. The display always comes back as soon as I hit a key. Seems to happen about once per day for me.
Comment 42 Adam Williamson 2009-07-22 16:56:52 EDT
phil g: I think because we never got a report for the 'display comes back after a key press' case, and stuff got a bit confused :|. I keep thinking there is a report for that case, but I can never find it, and I'm coming to the conclusion that it doesn't exist and I was mis-remembering.

It may be too late now to have the two issues properly split out, unfortunately.

It may be nice to know what graphics adapter everyone has. This seems to happen to a lot of people using nouveau.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 43 Jason Woofenden 2009-07-22 17:30:52 EDT
Seems to me lots of the reports (most iirc) on this bug page say that the screen comes back after the next keypress. Comment #3 says the "nomodeset" correlates with whether the display is fixed after a keypress.

I'm getting this bug (with the display restored after a keypress) on ati:

VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500]
Comment 44 Adam Williamson 2009-07-22 17:40:11 EDT
ah, yeah, you're right.

given that nomodeset is the default case, let's just make the report for the case where the screen comes back after a keypress.

Out of everyone suffering from this - who _doesn't_ have an NVIDIA chipset? Anyone?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 45 Joel Uckelman 2009-07-22 17:42:12 EDT
I'm seeing this bug without 'nomodeset' and with an Intel GM965, and the screen comes back for me after a keypress.
Comment 46 Phil G 2009-07-22 17:43:13 EDT
specs in my earlier post.

I'm rocking the onboard ATI Radeon HD 3200.
Comment 47 Charles R. Anderson 2009-07-22 17:52:24 EDT
I see the screen blanking bug on all my systems I think, which consist of both ATI and Intel graphics:

Intel 965
ATI Technologies Inc RV380 [Radeon X600 (PCIE)]
Comment 48 Alex Butcher 2009-07-22 17:54:20 EDT
PNY-branded nVidia 7600GT here, connected via DVI to Lenovo L220x monitor, using the following driver RPMs:

kmod-nvidia-2.6.29.4-167.fc11.x86_64-185.18.14-1.fc11.x86_64
xorg-x11-drv-nvidia-libs-185.18.14-2.fc11.i586
kmod-nvidia-2.6.27.24-170.2.68.fc10.x86_64-180.51-1.fc10.5.x86_64
kmod-nvidia-185.18.14-1.fc11.1.x86_64
kmod-nvidia-2.6.29.5-191.fc11.x86_64-185.18.14-1.fc11.1.x86_64
xorg-x11-drv-nvidia-libs-185.18.14-2.fc11.x86_64
xorg-x11-drv-nvidia-185.18.14-2.fc11.x86_64
Comment 49 Alex Butcher 2009-07-22 17:57:49 EDT
Oh, and the display comes back with a keypress.
Comment 50 abrouwers 2009-07-22 18:38:52 EDT
I also have a 965 chipset - an intel X3100:

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
Comment 51 Ian Weller 2009-07-22 20:25:21 EDT
(In reply to comment #44)
> Out of everyone suffering from this - who _doesn't_ have an NVIDIA chipset?
> Anyone?

/me too
on a Thinkpad X61s which is an Intel chipset.
Comment 52 Leif Gruenwoldt 2009-07-22 23:49:37 EDT
*** Bug 508397 has been marked as a duplicate of this bug. ***
Comment 53 Gianluca Sforna 2009-07-23 03:02:12 EDT
I think the "Screen blanks but a keypress makes it come back" is covered by bug 508397, though it has been closed now...
Comment 54 Need Real Name 2009-07-24 09:16:05 EDT
(In reply to comment #44)

> 
> given that nomodeset is the default case, let's just make the report for the
> case where the screen comes back after a keypress.
> 
> Out of everyone suffering from this - who _doesn't_ have an NVIDIA chipset?
> Anyone?
> 

On my two systems, nomodeset is not set, and the random blanking problem
(with screen restored on a keypress) persists.

1. Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)  (Is that what you want?)

2. ATI Radeon Mobility M7 LW [Radeon Mobility 7500]
Comment 55 Issue Tracker 2009-07-24 15:52:57 EDT
Event posted on 07-24-2009 03:52pm EDT by cwyse

Here is the cards I am seeing this on.
60:00.0 VGA compatible controller: nVidia Corporation Quadro FX 3700 (rev
a2) 00:12.0 VGA compatible controller: nVidia Corporation GeForce 7150M
(rev a2)



This event sent from IssueTracker by cwyse 
 issue 313631
Comment 56 abrouwers 2009-07-25 16:51:31 EDT
OK, an update from me:

I wanted to mention that since updating to the packages from the fit-and-finish (for fedora 11, not rawhide), the issue has not happened yet.  Nothing I had tried with screensaver, or other methods mentioned above, until now:

http://fedoraproject.org/wiki/Test_Day:2009-07-21_Fit_and_Finish:Batteries_and_Suspend


On my system:

[andrew@thinkpad ~]$ rpm -q DeviceKit-power gnome-power-manager
DeviceKit-power-010-0.2.20090721git.fc11.x86_64
gnome-power-manager-2.27.3-0.2.20090721git.fc11.x86_64

I'll post another comment if it comes up again, but has been a few days now without seeing the issue, where I used to see it once an hour or so.

Finally, the hardware to which I am having success, is an Intel X3100 (965 chip) on a thinkpad R61.
Comment 57 Adam Williamson 2009-07-30 11:23:00 EDT
One thing that occurs to me here: I'd like to definitively pin down g-p-m as the culprit.

Can everyone who's having this problem please try simply:

killall gnome-power-manager

and see if it stops the blanking? (Richard, tell me if that's not going to be enough). I think it will, but just to be sure.

Going on comment #56, it may also be worth trying the two packages indicated there and seeing if they fix the problem.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 58 abrouwers 2009-07-30 11:34:52 EDT
Adam,

It sounds like g-p-m has certainly been identified as the culprit, from a blog post yesterday from Adam:

http://blogs.gnome.org/hughsie/2009/07/30/accidental-blanking-and-gnome-power-manager/

Hopefully this will help out :)
Comment 59 Adam Williamson 2009-07-30 12:34:04 EDT
well, actually, that rather seems to suggest that it's _not_ gpm - that something else is playing silly buggers with inhibiting, insofar as I can follow that post (which is not all the way :>). Richard, is that accurate? Are we now looking for a culprit somewhere else (...presumably in GNOME)?

BTW, I should note that I don't see the blanking, and that lines up because I never run anything that would use inhibits (I don't play any video on this PC).

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 60 Richard Hughes 2009-07-30 17:05:16 EDT
(In reply to comment #59)
> well, actually, that rather seems to suggest that it's _not_ gpm - that
> something else is playing silly buggers with inhibiting, insofar as I can
> follow that post (which is not all the way :>). Richard, is that accurate? Are
> we now looking for a culprit somewhere else (...presumably in GNOME)?

Yes, the fact that a 130 line trivial program can reproduce it without even g-p-m running sortof rules out gnome-power-manager :-)

> BTW, I should note that I don't see the blanking, and that lines up because I
> never run anything that would use inhibits (I don't play any video on this PC).

Right, I'm betting you can trigger this using d-feet and inhibit mode 8.
Comment 61 John Walicki 2009-08-04 10:00:32 EDT
Two or three times a day I am experiencing this random screen blanking problem on my ThinkPad T400 (Intel video chipset).  I am running Fedora 11.

$ lspci -n

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07)
00:02.1 Display controller [0380]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a43] (rev 07)
Comment 62 stan 2009-08-07 12:12:20 EDT
I'm not sure that I have this problem, but the problem I have is similar
so I will leave a note here.

I run F11 x86_64, nouveau driver, CRT, old hardware (no modeset is
possible according to the nouveau driver at bootup).

I was not seeing this problem until a few days ago.  Before then, I had
settings of:

put computer to sleep when inactive for - never
computer is idle after  - 1 hour, activate screensaver
put monitor to sleep after - 30 minutes

and the problem never occurred, though the computer monitor would blank
and power down after 1 hour.

Last week I helped someone debug a problem with their screen save and
power down, and after that changed all the settings.  

put computer to sleep when inactive for - 1 hour
computer is idle after  - 15 minutes, activate screensaver
put monitor to sleep after - 17 minutes

This seemed to work fine.  I use updates testing, and there have been
several large updates in the last week.  Just in the last couple of
days, I am seeing cases of the screen turning off while I am using it.
However, unlike the rest of the people here, it only seems to occur if
the screen is in screen saver mode and I then reactivate it before the
power save kicks in.  The power save doesn't seem to get the message
that the screen is active again, and activates when scheduled.  Hitting
keys or waving the mouse reactivates the monitor and I don't have the
problem again until I let the screen time out to save mode again.

I intend to test the exact circumstances when it occurs.  I always have
the old values as a workaround.
Comment 63 stan 2009-08-07 14:44:30 EDT
It seems from feedback on the test list that this might be
the wrong place for this report, but I thought I would post
the results of tests.  They might help someone else.

Test1 - problem occurs.  After monitor goes to screen save
but before power save, reactivate monitor.  Power save still
occurs on schedule as if monitor is still screen saved.
test values:
put computer to sleep when inactive for - 12 minutes
computer is idle after  - 1 minute, activate screensaver
put monitor to sleep after - 3 minutes

Test2 - problem does not occur.  After monitor goes to
screen save but before power save, reactivate monitor.
Power save doesn't happen.
test values:
put computer to sleep when inactive for - never
computer is idle after  - 1 minute, activate screensaver
put monitor to sleep after - 3 minutes

Test3 - problem does not occur.  Power down and screen save
occur simultaneously.
test values:
put computer to sleep when inactive for - 12 minutes
computer is idle after  - 2 minutes, activate screensaver
put monitor to sleep after - 1 minute

Test4 - problem does not occur.  Power down and screen save
occur simultaneously.
test values:
put computer to sleep when inactive for - never
computer is idle after  - 2 minutes, activate screensaver
put monitor to sleep after - 1 minute

So, there appear to be some workarounds.  Maybe they will
work for those with the original problem.  I intend to use
the results of test 2 for my own settings.
Comment 64 Adam Williamson 2009-08-07 16:30:17 EDT
I do believe yours is a separate problem, so please file a separate bug for it, or else it will be lost. The cause of this bug has been identified, and from my understanding, the same cause could not be producing your bug (Richard will correct me if I'm wrong :>).

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 65 stan 2009-08-07 20:37:51 EDT
(In reply to comment #64)
> I do believe yours is a separate problem, so please file a separate bug for it,

bugzilla 516314
Comment 66 Peter Hutterer 2009-08-11 00:26:46 EDT
seems to be a problem with the X server. on an F11 box, running xorg-x11-server-1.6.2 reproduces the problem (with the test program), running master doesn't.

Unfortunately bisecting from 1.6 to now is a dependency hell, I haven't found the culprit yet.
Comment 67 Peter Hutterer 2009-08-11 02:55:13 EDT
bisected to commit 57aff88c7d0761e590806d07bee1c9410680c89f in the X server tree.
Note that this commit _fixed_ the bug (accidentally too, I suppose).

http://cgit.freedesktop.org/xorg/xserver/commit/?id=57aff88c7d0761e590806d07bee1c9410680c89f

Moving over to the server.
Comment 68 Adam Williamson 2009-08-11 10:53:33 EDT
ajax, to get you up to speed, the important comments are #66 and #67, and Richard's blog post here:

http://blogs.gnome.org/hughsie/2009/07/30/accidental-blanking-and-gnome-power-manager/

those have the meat on understanding this bug.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 69 Peter Hutterer 2009-08-12 23:51:21 EDT
looks like this was a false alarm. The commit that seemed to fix it was in fact buggy. With this commit fixed, the whole thing doesn't work in git master either.

http://cgit.freedesktop.org/xorg/xserver/commit/?id=36e24a6d93bd5aced4e566b80bf2d03555fab9ca
Comment 70 Peter Hutterer 2009-08-13 03:27:44 EDT
Please test the scratch build from http://koji.fedoraproject.org/koji/taskinfo?taskID=1602802

Looks like it was caused by a wrong if condition in the triggering code. If the system-internal counter was above the counter requested, the triggers didn't get renewed and after resetting idle the event never got sent.

e.g. if the program requested a trigger of "notify me when the idle count is less than 2000" and the idle count was already above 2000, then the program would wait forever.
Comment 71 Richard Hughes 2009-08-13 04:36:03 EDT
Peter, that 1602802 build indeed fixes the problem. Legend. Can you get an update to F11 and devel asap please? I need to send you cookies.
Comment 72 Adam Williamson 2009-08-13 12:42:00 EDT
we ALL need to send him cookies.

I hope we can get this tagged for the alpha release too, I'll check with releng.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 73 Fedora Update System 2009-08-13 18:11:37 EDT
xorg-x11-server-1.6.3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xorg-x11-server-1.6.3-2.fc11
Comment 74 Peter Hutterer 2009-08-13 19:39:37 EDT
rawhide build: http://koji.fedoraproject.org/koji/buildinfo?buildID=127233
Comment 75 Adam Williamson 2009-08-13 19:48:28 EDT
that has the last week of git changes too, by the looks of it - anything that could cause any regressions if we push it into alpha?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 76 Peter Hutterer 2009-08-14 01:15:58 EDT
Hopefully not, the commits seem to be all bugfixes, not adding features.
Comment 77 Adam Williamson 2009-08-14 03:24:28 EDT
OK, then I'll file a request to get this into the Alpha, though I'll drop it if anyone objects (it's kind of a borderline call).

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 78 Paul W. Frields 2009-08-14 08:36:15 EDT
gnome-power-manager-2.26.3-1.fc11.x86_64
xorg-x11-server-Xorg-1.6.2-3.fc11.x86_64
xorg-x11-server-utils-7.4-7.fc11.x86_64
xorg-x11-server-common-1.6.2-3.fc11.x86_64
xorg-x11-server-devel-1.6.2-3.fc11.x86_64

The problem is still happening under the evil Nvidia driver (which I switch to when I need suspend functionality, see bug 502334).  I realize that in itself is no reason to think the bug's not fixed -- I'm switching to Nouveau for the rest of the day to see if there's a recurrence.
Comment 79 Peter Robinson 2009-08-14 08:44:18 EDT
> xorg-x11-server-Xorg-1.6.2-3.fc11.x86_64
> xorg-x11-server-common-1.6.2-3.fc11.x86_64
> xorg-x11-server-devel-1.6.2-3.fc11.x86_64

These need to be running xorg-x11-server build 1.6.3-2 to have the fix.

> The problem is still happening under the evil Nvidia driver (which I switch to
> when I need suspend functionality, see bug 502334).  I realize that in itself
> is no reason to think the bug's not fixed -- I'm switching to Nouveau for the
> rest of the day to see if there's a recurrence.
Comment 80 Julian Sikorski 2009-08-14 10:22:52 EDT
I'm not sure if it's related, but after updating to the scratch build from comment #70 there is an improvement, but some annoyance still persists. Namely, when watching a movie in totem, the display will occasionally go blank for two or so seconds, and then go back to normal. Previously, it would stay blank. I'm running the nvidia binary driver.
Comment 81 Rafał Polak 2009-08-14 11:33:21 EDT
I just had hard lock up while watching video in Totem (first - blank screen, then, while screen still blanked - lock up).

glxinfo |grep render
direct rendering: Yes
OpenGL renderer string: Mesa DRI Mobile Intel® GM45 Express Chipset GEM 20090114

lspci
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

xorg-x11-drv-intel-2.7.0-7.fc11.x86_64

xorg-x11-server-common-1.6.3-2.fc11.x86_64
xorg-x11-server-utils-7.4-7.fc11.x86_64
xorg-x11-server-Xorg-1.6.3-2.fc11.x86_64

totem-pl-parser-2.26.2-2.fc11.x86_64
totem-gstreamer-2.26.3-1.fc11.x86_64
totem-mozplugin-2.26.3-1.fc11.x86_64
totem-nautilus-2.26.3-1.fc11.x86_64
totem-2.26.3-1.fc11.x86_64
totem-xine-2.26.3-1.fc11.x86_64
Comment 82 Fedora Update System 2009-08-15 04:28:18 EDT
xorg-x11-server-1.6.3-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8624
Comment 83 Paul W. Frields 2009-08-15 08:43:14 EDT
On nouveau driver all day yesterday, updated to 1.6.3-2.  (Sorry, had read the numbers wrong originally.)  I didn't see the blanking problem at all, which normally happens at least a couple of times a day.

Totem doesn't appear to be doing anything strange here.  Is there a certain length of time I need to run it to see the problem?

$ rpm -qa xorg-x11-server\* totem\* | sort
totem-2.26.3-1.fc11.x86_64
totem-gstreamer-2.26.3-1.fc11.x86_64
totem-mozplugin-2.26.3-1.fc11.x86_64
totem-nautilus-2.26.3-1.fc11.x86_64
totem-pl-parser-2.26.2-2.fc11.x86_64
xorg-x11-server-common-1.6.3-2.fc11.x86_64
xorg-x11-server-devel-1.6.3-2.fc11.x86_64
xorg-x11-server-utils-7.4-7.fc11.x86_64
xorg-x11-server-Xorg-1.6.3-2.fc11.x86_64
Comment 84 sawrub 2009-08-15 13:44:33 EDT
(In reply to comment #82)
> xorg-x11-server-1.6.3-2.fc11 has been pushed to the Fedora 11 testing
> repository.  If problems still persist, please make note of it in this bug
> report.
>  If you want to test the update, you can install it with 
>  su -c 'yum --enablerepo=updates-testing update xorg-x11-server'.  You can
> provide feedback for this update here:
> http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8624  

Can you please help me out with thisL:

[root@sawrub-xbox ~]# yum --enablerepo=updates-testing install xorg-x11-server
Loaded plugins: fastestmirror, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: www.ftp.ne.jp
 * rpmfusion-free: rpmfusion.famillecollet.com
 * rpmfusion-free-updates: rpmfusion.famillecollet.com
 * updates: ftp.jaist.ac.jp
 * updates-testing: ftp.jaist.ac.jp
Setting up Install Process
No package xorg-x11-server available.
Nothing to do
[root@sawrub-xbox ~]#
Comment 85 Adam Williamson 2009-08-15 13:55:51 EDT
The message uses the .src.rpm name, which is usually OK but breaks down in this case.

rpm -qa | grep xorg-x11-server will show you what xorg-x11-server packages you have installed. Update all of them to this version.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 86 Michael Cronenworth 2009-08-15 17:10:10 EDT
I'm using the new xorg package from updates-testing. Fixes the issue when screensaver activates, but watching a movie in totem doesn't stop monitor power-off. Display power-off set to 10 minutes in G-P-M. Watching 30 minute video I had monitor power off at 10 minute mark.
Comment 87 Michael Cronenworth 2009-08-15 17:36:38 EDT
Additional notes: After it happens once during that 30 minute video, it doesn't happen again. I watched the rest of the video without a monitor power off.
Comment 88 Peter Hutterer 2009-08-16 23:59:07 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=1608859

Rawhide build with Richard Hughes' patch to leave the idle-time alone when changing DPMS timeouts. I think this should fix the issue.
Comment 89 Fedora Update System 2009-08-17 01:02:29 EDT
xorg-x11-server-1.6.3-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xorg-x11-server-1.6.3-3.fc11
Comment 90 Michael Cronenworth 2009-08-17 01:34:33 EDT
$ rpm -q xorg-x11-server-Xorg
xorg-x11-server-Xorg-1.6.3-3.fc11.x86_64

I updated/rebooted and playing a video in Totem still causes monitor power off. 45 minute video, monitor power off happened at 10 minute mark (g-p-m setting is 10 minutes).
Comment 91 sawrub 2009-08-17 11:20:36 EDT
Working just fine for me...no blackout for me,for the last 4 hrs,earlier it used to go off in approx 10 min.
Monitor settings for G-P-M set to 10 mins

[sawrub@sawrub-xbox ~]$ rpm -qa|grep xorg-x11-server
xorg-x11-server-Xorg-1.6.3-2.fc11.i586
xorg-x11-server-utils-7.4-7.fc11.i586
xorg-x11-server-common-1.6.3-2.fc11.i586
Comment 92 Richard Hughes 2009-08-17 12:27:36 EDT
You guys also want to see the third blog entry (!) here: http://blogs.gnome.org/hughsie/2009/08/17/gnome-power-manager-and-blanking-removal-of-bodges/
Comment 93 Fedora Update System 2009-08-17 18:01:57 EDT
xorg-x11-server-1.6.3-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8688
Comment 94 sawrub 2009-08-18 11:46:30 EDT
(In reply to comment #91)
> Working just fine for me...no blackout for me,for the last 4 hrs,earlier it
> used to go off in approx 10 min.
> Monitor settings for G-P-M set to 10 mins
> 
> [sawrub@sawrub-xbox ~]$ rpm -qa|grep xorg-x11-server
> xorg-x11-server-Xorg-1.6.3-2.fc11.i586
> xorg-x11-server-utils-7.4-7.fc11.i586
> xorg-x11-server-common-1.6.3-2.fc11.i586  

ooops ...missed to notice that since there are no blackouts ...but now the screen-savers are not getting activated on not using the system for more than the time defined in screen-saver prefs.

Also found some guys discussing the same,and i'm in same plate. 
https://www.redhat.com/archives/fedora-test-list/2009-August/msg00338.html
Comment 95 Fedora Update System 2009-08-19 00:39:58 EDT
xorg-x11-server-1.6.3-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xorg-x11-server-1.6.3-4.fc11
Comment 96 Peter Hutterer 2009-08-19 01:19:08 EDT
rawhide build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1613719

This is the last in this series, together with the fixed up g-p-m this bug should be fixed now. Testing appreciated.
Comment 97 Adam Williamson 2009-08-19 12:33:02 EDT
Which is 'the fixed up g-p-m'? What g-p-m version should a) F11 users and b) Rawhide users be testing with?

Thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 98 Fedora Update System 2009-08-19 19:18:13 EDT
xorg-x11-server-1.6.3-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8766
Comment 99 Richard Hughes 2009-08-20 06:08:57 EDT
(In reply to comment #97)
> Which is 'the fixed up g-p-m'? What g-p-m version should a) F11 users

Either the latest one in updates-testing, or this build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1616862

This build works around the second XSync bug.

> and b) Rawhide users be testing with?

I'm going to do an upload of .90 in a few days time.
Comment 100 Richard Hughes 2009-08-20 08:31:11 EDT
*** Bug 516314 has been marked as a duplicate of this bug. ***
Comment 101 Charles R. Anderson 2009-08-20 09:26:47 EDT
01:00.0 VGA compatible controller: nVidia Corporation NV18 [GeForce4 MX 440 AGP 8x] (rev a2) (prog-if 00 [VGA controller])

nouveau driver

I installed these packages, just rebooted, and after reboot it happened again:

xorg-x11-server-Xorg-1.6.3-4.fc11.i586
xorg-x11-server-common-1.6.3-4.fc11.i586
DeviceKit-power-010-0.3.20090810git.fc11.i586
kernel-2.6.30.5-32.fc11.i686.PAE
gnome-power-manager-2.26.4-1.fc11.i586

Within a few minutes, I had a couple momentary blanks.  The screen woke up again on keypress, then it happened again a few seconds later.
Comment 102 Adam Williamson 2009-08-20 11:29:30 EDT
You don't seem to be running the newer gnome-power-manager that Richard asked you to try, please try with that. Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 103 David Mansfield 2009-08-21 10:10:06 EDT
seems worse than ever.  i'm running:

xorg-x11-server-Xorg-1.6.3-4.fc11.x86_64
xorg-x11-server-common-1.6.3-4.fc11.x86_64
gnome-power-manager-2.26.4-2.fc11.x86_64

and I've had blanking (only on my DVI panel, by the way, which IS an improvement) on my dual head ATI running with radeonhd driver.

it sometimes blanks within a few seconds of the previous blank.  I've had about 10 blanks this morning. 

interestingly, yesterday after I installed it was good all day.  i haven't rebooted or logged out since then.

the blanks are for a tiny period of time, and automatically unblank.
Comment 104 David Mansfield 2009-08-21 10:19:50 EDT
to add to the above comment: it's blanking now without gnome-power-manager running at all!!!  i thought i'd kill it so i could get some work done, but lo-and-behold, the blanks keep coming.
Comment 105 Phil G 2009-08-21 10:32:13 EDT
^^Yup, same exact issue here...
Comment 106 Richard Hughes 2009-08-21 10:33:42 EDT
Is radionhd even a supported free driver?

If it blanks without gnome-power-manager even running, then this can't be a gnome-power-manager bug...
Comment 107 Walter Francis 2009-08-21 10:36:02 EDT
Unless I'm "on the wrong bug" this has never had anything to do with Gahnome
Power Management or any screen blanking, DPMS, etc...  I've turned ALL of that
off on several machines and the screen still blips black sometimes.

The resulting fixes being in Xorg Server validates this for me, but doesn't
seem like it's actually fixed the problem I suppose.  I have not personally
updated to updates-testing yet.

I have seen this on Intel 855, Intel 815, Nvidia kmod from RPMFusion...  Don't think I've ever seen it in vmware, but I haven't had a Fedora vmware image sitting in front of me all day for weeks now either.
Comment 108 David Mansfield 2009-08-21 10:51:57 EDT
radeonhd is part of F11, and is the only driver that works for my card, proprietary driver included (flgrx doesn't compile since god knows how long and the radeon driver just plain hangs).

I've gotten the following blanks that I've logged so far this morning:

10:28:56
10:30:38
10:34:22
10:34:59
10:36:03
10:39:15
10:40:36
10:41:36
10:42:58
10:47:15
10:47:21
10:47:52  (yes, three times in a minute while I'm writing this)

the problem is "a hundred times" worse then before I updated to the latest xorg
Comment 109 Adam Williamson 2009-08-21 12:03:21 EDT
it would be really nice if more than a couple of people would test this, and report, especially since we only have a detailed report from a complex setup with contrary indications (one screen fixed, one not). thanks. pontification does not help fix problems.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 110 Peter Robinson 2009-08-21 12:05:39 EDT
On my Dell Latitude d630 with a nVidia Corporation Quadro NVS 135M and a second 22 inch screen connected by DVI this has fixed the problem. I've had not a single issue since I tried the xorg update from koji :)
Comment 111 David Mansfield 2009-08-21 12:18:23 EDT
more than one user has reported continued regressions since the latest koji builds were released.  i don't consider providing details to be "pontification", but if you do, then maybe software development is the wrong business for you.  jeez.  just trying to help out and i get attitude from a redhat employee.  awesome.
Comment 112 Joel Uckelman 2009-08-21 12:23:07 EDT
(In reply to comment #111)
> more than one user has reported continued regressions since the latest koji
> builds were released.  i don't consider providing details to be
> "pontification", but if you do, then maybe software development is the wrong
> business for you.  jeez.  just trying to help out and i get attitude from a
> redhat employee.  awesome.  

Why do you think that was directed at you? Chill.
Comment 113 Jason Woofenden 2009-08-21 12:28:39 EDT
80+ people get e-mails when you post here. Please do not follow my example, and stay on topic.
Comment 114 Charles R. Anderson 2009-08-21 13:00:56 EDT
(In reply to comment #109)
> it would be really nice if more than a couple of people would test this, and
> report, especially since we only have a detailed report from a complex setup
> with contrary indications (one screen fixed, one not). thanks. pontification
> does not help fix problems.

It was only just today that all the new packages appeared in updates-testing on my mirror.  And as I look again, there is yet a newer build of gnome-power-manager in Koji F11.  Once people get the new packages, it will take a couple days, maybe a week to determine that the problem is gone.  For me, I only occasionally saw this problem, so I'll give an update when I'm satisfied that the situation has improved.  We've waited 3 months to get to this point.  Another week of patience isn't unreasonable to ask.

That said, I have applied gnome-power-manager-2.26.4-2.fc11.x86_64 to one of my systems (the Nvidia one I mentioned in Comment #101), and so far I haven't seen any inappropriate blanking.
Comment 115 Adam Williamson 2009-08-21 13:11:24 EDT
david: you're the person I was talking about who actually _has_ provided a useful report with the latest versions. But one report from a dual monitor case with an unusual driver isn't enough data for us to know exactly what's working and what's broken, hence my request for other people to report.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 116 Cane One 2009-08-21 13:39:52 EDT
Installing the 1.6.3-4 package on my box completely eliminated the blanking problem. I've had 1.6.3-4 installed for several days now and have no issues, whereas I was getting a good number of screen blanks per day previously.

MB = BioStar MCP6P-M2 AM2
Chipset = NVIDIA GeForce 6150 / nForce 430
Video = integrated - NVIDIA GeForce 6150 GPU
CPU = AMD Sempron LE1100 1.9GHZ
Monitor = Envision EN7410e 17" Flat


I later also applied g-p-m 2.26.4-2 but my blanking difficulties actually vanished prior to that.
Comment 117 Adam Williamson 2009-08-21 13:50:03 EDT
Thanks. We also need to know if you're experiencing any of the reported regressions: screensaver no longer kicking in when it should, screen blanking while playing video in Totem.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 118 Cane One 2009-08-21 18:46:49 EDT
Addon to comment #116:

My screensaver works normally and as it should. I just played a full length movie off of DVD in totem and experienced no blanking or any other difficulties.

F11 X86_64
Comment 119 Charles R. Anderson 2009-08-22 09:56:39 EDT
(In reply to comment #101)
> 01:00.0 VGA compatible controller: nVidia Corporation NV18 [GeForce4 MX 440 AGP
> 8x] (rev a2) (prog-if 00 [VGA controller])
> 
> nouveau driver

I experienced another blank with these (I rebooted after installing):

xorg-x11-server-Xorg-1.6.3-4.fc11.i586
DeviceKit-power-010-0.3.20090810git.fc11.i586
kernel-2.6.30.5-32.fc11.i686.PAE
gnome-power-manager-2.26.4-3.fc11.i586
xorg-x11-drv-nouveau-0.0.12-41.20090528git0c17b87.fc11.i586

The screensaver does kick in properly and so does DPMS when I left it idle over night.  I hadn't played any videos or anything that I think should inhibit the screensaver, so I don't know if that works or not.  However, while just scrolling through email in Mutt in a gnome-terminal, the screen blanked and woke up immediately since I was holding down the PgUp key.
Comment 120 Arnaud Siminski 2009-08-22 13:45:34 EDT
tested ok with these (no more blank and power manager works fine)
screensaver works normally and movies can be seen without problem.

xorg-x11-server-Xorg.x86_64           1.6.3-4.fc11                @updates-testing
DeviceKit.x86_64                      003-1                       installed     
DeviceKit-power.x86_64                010-0.3.20090810git.fc11    @updates      
gnome-power-manager.x86_64            2.26.4-1.fc11               @updates
xorg-x11-drv-ati.x86_64               6.12.2-14.fc11              @fedora       


# uname -a 
Linux localhost.localdomain 2.6.29.6-217.2.8.fc11.x86_64 #1 SMP Sat Aug 15 01:06:26 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
Comment 121 Michael Cronenworth 2009-08-23 02:19:43 EDT
xorg-x11-server-Xorg-1.6.3-4.fc11.x86_64
gnome-power-manager-2.26.4-3.fc11.x86_64

No more blanking during Totem video playing. Thanks all.
Comment 122 sawrub 2009-08-24 10:44:19 EDT
Issue that i faced after updating xorg. 
https://bugzilla.redhat.com/show_bug.cgi?id=518066
Comment 123 Stephan Klein 2009-08-24 11:43:40 EDT
This bug is fixed for me. I have not seen any blanks within the last few days. Thank you and cookies for all involved!

Using 01:00.0 VGA compatible controller: nVidia Corporation G72M [GeForce Go 7400] (rev a1) with the binary driver. Everything updated as of right now (testing repos enabled).
Comment 124 David Mansfield 2009-08-24 17:28:11 EDT
I previously reported that the latest updates do not fix the problem for me.  I now have a reliable way to reproduce the blanking of the DVI connected monitor in my dual head configuration.

if i use firefox to navigate to a video that launches the vlc plugin, such as the following url (it doesn't matter as long as it launches the vlc plugin):
http://www.k2.t.u-tokyo.ac.jp/fusion/LaserActiveTracking/DEMO_VIDEO_09062004_BestQuality.wmv

then the DVI screen blanks for a second as soon as the video starts playing and comes back on it's own.  if anyone knows any way to increase the verbosity of xorg so it logs blank/unblank events to the Xorg.0.log, or a way of tracing xorg to see what calls are being made (or any other suggestions!), I'd be happy to help debug this further.  note: the video is playing in the OTHER monitor (i.e. firefox is on the VGA screen when this happens)

as mentioned earlier, i'm using the radeonhd driver. system is x86_64.
Comment 125 Dagan McGregor 2009-08-25 02:38:00 EDT
 I have installed the packages from updates-testing and so far this seems to have resolved the issue for me.

Name       : xorg-x11-server-Xorg
Arch       : x86_64
Version    : 1.6.3
Release    : 4.fc11

Name       : xorg-x11-server-common
Arch       : x86_64
Version    : 1.6.3
Release    : 4.fc11

I still had a few blanking issues after an earlier update for g-p-m

Name       : gnome-power-manager
Arch       : x86_64
Version    : 2.26.4
Release    : 1.fc11

Played a few movies, no blanking. No random blanking while using desktop apps. Screensaver starts as it should do (currently set to 1 minute).

I am using an ATI 4870 chipset, and the Radeon driver on Dell 24" monitor, using DVI connection.
Comment 126 Michael Cronenworth 2009-08-26 01:23:16 EDT
Bad news. After spending a few days on the new packages I was watching several different 20 minute videos and saw the screensaver kick in on one video, then not the next, but then happened in the next video. Screensaver time set to 10 minutes. DPMS didn't kick in though. I suggest everyone test more than one video. It doesn't seem to be as easy to reproduce now.

gnome-screensaver-2.26.1-3.fc11.x86_64
xorg-x11-server-Xorg-1.6.3-4.fc11.x86_64
gnome-power-manager-2.26.4-3.fc11.x86_64
totem-2.26.3-1.fc11.x86_64
Comment 127 Gianluca Sforna 2009-08-28 09:17:27 EDT
I've run the updated packages for several days without experiencing the issue, then I've got again an unexpected screen blanking.

There is probably some other code path messing up with the idle timer.
Comment 128 Dagan McGregor 2009-09-05 21:37:27 EDT
 Ok, I got some more random blanking last night, after installing some updates.

 There must be something else that is interfering with the blanking routines, whether it's other desktop apps not playing nice, I don't know.

 I have noticed when I have things like Firefox open, or running virt-manager windows for a KVM virtual machine, that a lot of times the screensaver will never activate, regardless of me not touching the keyboard or mouse.

 I noticed one time closing virt-manager window and the screensaver coming on as the window closed. 
 
 Just anecdotal stuff, nothing scientific so far.
Comment 129 Fedora Update System 2009-09-09 23:44:14 EDT
xorg-x11-server-1.6.3-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8766
Comment 130 Rafał Polak 2009-09-10 13:10:39 EDT
I had another hard freeze when watching movie in Totem (just like in comment #81). Screen goes blank and I can't do anything but hard reboot. I'm not sure if my problem is still related to #501601. How can I check it?

rpm -qa|grep xorg-x11-server:

xorg-x11-server-Xorg-1.6.3-4.fc11.x86_64
xorg-x11-server-utils-7.4-7.1.fc11.x86_64
xorg-x11-server-common-1.6.3-4.fc11.x86_64
Comment 131 udo 2009-09-11 06:00:06 EDT
xorg-x11-server-common-1.6.3-4.fc11.x86_64
xorg-x11-server-utils-7.4-7.1.fc11.x86_64
xorg-x11-server-Xorg-1.6.3-4.fc11.x86_64

With these, I get them from `yum update` my Xorg crashes and does not start.


xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64.rpm
xorg-x11-server-common-1.6.1.901-1.fc11.x86_64.rpm           
xorg-x11-server-utils-7.4-7.fc11.x86_64.rpm

With these Xorg works. 
(x86_64 with radeonhd ATI HD2600)
Comment 132 Jeff Burke 2009-09-14 16:00:55 EDT
After upgrading to xorg-x11-server-Xorg-1.6.3-4.fc11.i586 I was not able to login.
I was getting errors:

Sep 14 15:12:12 localhost kernel: Xorg[18484]: segfault at 0 ip 0812d5b6 sp bfab8088 error 4 in Xorg[8047000+1b8000]
Sep 14 15:16:04 localhost kernel: Xorg[19399]: segfault at 0 ip 0812d5b6 sp bfe389a8 error 4 in Xorg (deleted)[8047000+1b8000]
Sep 14 15:19:38 localhost kernel: Xorg[1976]: segfault at 0 ip 0812d5b6 sp bff5de58 error 4 in Xorg[8048000+1b7000]
Sep 14 15:22:07 localhost kernel: Xorg[2549]: segfault at 0 ip 0812d5b6 sp bfb67068 error 4 in Xorg (deleted)[8048000+1b7000]

Once I rolled back to xorg-x11-server-Xorg-1.6.1.901-1.fc11.i586 and I was able to login in again.

I have a T60 with Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
Comment 133 Joel Uckelman 2009-09-14 16:11:26 EDT
(In reply to comment #132)
> After upgrading to xorg-x11-server-Xorg-1.6.3-4.fc11.i586 I was not able to
> login.

You might be having this problem: Bug 522742.
Comment 134 sawrub 2009-09-16 11:36:31 EDT
wrt comment 132 and 133...please see
https://bugzilla.redhat.com/show_bug.cgi?id=518066
Comment 135 Jim Metz 2009-09-17 17:34:20 EDT
I'm running two X displays off a XFX 8800 GT. Display ;0.0 to a CRT from DMI port 0 and Display ;0.1 from TV s-port to a cable discriminator for TV feed.  I get the screen blanking problem on both ports on the 8800 GT at the same time. Touch the mouse of kb and the displays come right back. The video drivert is the factory Nvidia driver from rpmfusion-nonfree-updates. I do not have  gnome-power-manager installed. But most of the Gnome wm is installed but I am using kde and have not tested the Gnome interface.

[root@jim jim]# uname --all
Linux jim.jimsbox.com 2.6.30.5-43.fc11.x86_64 #1 SMP Thu Aug 27 21:39:52 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

[root@jim jim]# rpm -qa kernel\* xorg-x11-server\* totem\* gnome-power-manager\* kmod-nvidia\* | sort
kernel-2.6.29.6-217.2.16.fc11.x86_64
kernel-2.6.29.6-217.2.8.fc11.x86_64
kernel-2.6.30.5-43.fc11.x86_64
kernel-devel-2.6.29.6-217.2.16.fc11.x86_64
kernel-devel-2.6.29.6-217.2.8.fc11.x86_64
kernel-devel-2.6.30.5-43.fc11.x86_64
kernel-firmware-2.6.30.5-43.fc11.noarch
kernel-headers-2.6.30.5-43.fc11.x86_64
kerneloops-0.12-5.fc11.x86_64
kmod-nvidia-185.18.36-1.fc11.1.x86_64
kmod-nvidia-2.6.29.6-217.2.16.fc11.x86_64-185.18.36-1.fc11.x86_64
kmod-nvidia-2.6.29.6-217.2.8.fc11.x86_64-185.18.14-1.fc11.6.x86_64
kmod-nvidia-2.6.30.5-43.fc11.x86_64-185.18.36-1.fc11.1.x86_64
totem-2.26.3-3.fc11.x86_64
totem-gstreamer-2.26.3-3.fc11.x86_64
totem-mozplugin-2.26.3-3.fc11.x86_64
totem-nautilus-2.26.3-3.fc11.x86_64
totem-pl-parser-2.26.2-2.fc11.x86_64
xorg-x11-server-common-1.6.3-4.fc11.x86_64
xorg-x11-server-utils-7.4-7.1.fc11.x86_64
xorg-x11-server-Xorg-1.6.3-4.fc11.x86_64
Comment 136 Jim Metz 2009-09-17 17:45:11 EDT
(In reply to comment #135)
> I'm running two X displays off a XFX 8800 GT. Display ;0.0 to a CRT from DMI
> port 0 and Display ;0.1 from TV s-port to a cable discriminator for TV feed.  I
> get the screen blanking problem on both ports on the 8800 GT at the same time.
> Touch the mouse of kb and the displays come right back. The video drivert is
> the factory Nvidia driver from rpmfusion-nonfree-updates. I do not have 
> gnome-power-manager installed. But most of the Gnome wm is installed but I am
> using kde and have not tested the Gnome interface.
> 
> [root@jim jim]# uname --all
> Linux jim.jimsbox.com 2.6.30.5-43.fc11.x86_64 #1 SMP Thu Aug 27 21:39:52 EDT
> 2009 x86_64 x86_64 x86_64 GNU/Linux
> 
> [root@jim jim]# rpm -qa kernel\* xorg-x11-server\* totem\*
> gnome-power-manager\* kmod-nvidia\* | sort
> kernel-2.6.29.6-217.2.16.fc11.x86_64
> kernel-2.6.29.6-217.2.8.fc11.x86_64
> kernel-2.6.30.5-43.fc11.x86_64
> kernel-devel-2.6.29.6-217.2.16.fc11.x86_64
> kernel-devel-2.6.29.6-217.2.8.fc11.x86_64
> kernel-devel-2.6.30.5-43.fc11.x86_64
> kernel-firmware-2.6.30.5-43.fc11.noarch
> kernel-headers-2.6.30.5-43.fc11.x86_64
> kerneloops-0.12-5.fc11.x86_64
> kmod-nvidia-185.18.36-1.fc11.1.x86_64
> kmod-nvidia-2.6.29.6-217.2.16.fc11.x86_64-185.18.36-1.fc11.x86_64
> kmod-nvidia-2.6.29.6-217.2.8.fc11.x86_64-185.18.14-1.fc11.6.x86_64
> kmod-nvidia-2.6.30.5-43.fc11.x86_64-185.18.36-1.fc11.1.x86_64
> totem-2.26.3-3.fc11.x86_64
> totem-gstreamer-2.26.3-3.fc11.x86_64
> totem-mozplugin-2.26.3-3.fc11.x86_64
> totem-nautilus-2.26.3-3.fc11.x86_64
> totem-pl-parser-2.26.2-2.fc11.x86_64
> xorg-x11-server-common-1.6.3-4.fc11.x86_64
> xorg-x11-server-utils-7.4-7.1.fc11.x86_64
> xorg-x11-server-Xorg-1.6.3-4.fc11.x86_64  

I forgot I turned the screen saver on and set it for 60 min. delay to blank and then turn it off. It has stopped blanking the screen but it has not been an hour
Comment 137 Jim Metz 2009-09-23 09:58:15 EDT
The long blank time did not change the problem when the screen saver is not enabled.
Comment 138 Christopher Beland 2009-10-13 09:46:48 EDT
I had not experienced these symptoms until today, when I installed an LCD monitor and have been using that instead of my laptop's built-in screen (after rebooting).  Now, every once in a while, the screen locks while I'm in the middle of doing something, and I have to type in my password to unlock.  The screensaver idle time is set to 5 minutes.  This is with:

xorg-x11-server-common-1.6.4-0.3.fc11.i586
gnome-power-manager-2.26.4-3.fc11.i586

00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
00:02.1 Display controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
Comment 139 Kai Engert (:kaie) (on vacation) 2009-10-13 14:38:39 EDT
Not sure if it's the same bug, but at least I get the same effect when trying to start something with wine. Minimal example, I run /usr/bin/notepad, display goes blank+black, returns after keypress.

Fedora 11
Linux 2.6.30.8-64.fc11.i686.PAE #1 SMP Fri Sep 25 04:56:58 EDT 2009 i686 i686 i386 GNU/Linux

wine-1.1.29-1.fc11.i586
gnome-power-manager-2.27.1-0.4.20090529git.fc11.i586
xorg-x11-server-common-1.6.4-0.1.fc11.i586
Comment 140 Paul W. Frields 2009-10-15 08:46:45 EDT
I'm concerned that this bug has become really conflated with a ton of issues.  Problems with the NVidia driver, wine, etc. for instance don't have anything to do with this bug.

I'm the person who originally reported the "blanking without warning" bug, and I'm running Rawhide now on the machine on which the original bug was reported.  I haven't seen this problem in quite some time now and I'm inclined to close this bug, and let people who are still experiencing problems file separate, distinct bugs that aren't so confusing to the maintainers.  That doesn't mean we want to ignore problems, but the many people who have piled on this bug with unrelated hardware or software make it really confusing for the developers to figure out what's relevant.

In my opinion, the reported bug, unexpected screen blanking using nouveau on a 8400M GS, has been fixed, and this bug should be closed, and other screen blanking incidents should be reported in new bugs.  I'm primarily interested in what Adam Jackson (the assignee) and Adam Williamson (QA ninja) think.  On what is the ON_QA status depending at this point?
Comment 141 Gianluca Sforna 2009-10-15 08:57:54 EDT
FWIW, I'm not seeing the issue since some time as well (despite me still running F11 + rpmfusion nvidia driver).

So, +1 to closing this bug
Comment 142 Julian Sikorski 2009-10-15 09:00:50 EDT
With Go 7600 and nvidia binary driver the out-of-the-blue blanking is gone. I have never experienced it since I upgraded to fixed xorg-x11-server and gnome-power-manager.
Comment 143 Paul W. Frields 2009-10-15 10:01:55 EDT
I ask that people not send in any more comments about the nvidia proprietary driver, for these reasons:

* I'm pleased that it's working well, but even if it wasn't, our ability to fix it is limited since it is not free and open source software (and not in Fedora for that reason).

* If the problem doesn't have anything to do with the video driver, then it's irrelevant anyway (and we can likely close this bug, which I think is the case).
Comment 144 Charles R. Anderson 2009-10-15 10:15:26 EDT
I'm inclined to say close this bug too.  The issue has stopped happening for me on all my systems, and the one system where I reported still having issues (Comment #119) actually had a power supply problem--eventually the power supply completely died and I've replaced it and haven't had screen blanking problems since.
Comment 145 Jim Metz 2009-10-15 10:29:22 EDT
I was able replace F11 with Windows XP to support the training video on the s-video port boxes. So the problem is now gone. Close it.
Comment 146 Adam Williamson 2009-10-15 11:13:10 EDT
i'm worried about posts like 126, 127 and 128, basically. I'm not convinced the issue has been fully addressed yet, or the blanks-during-video-playback side effect squashed.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 147 Adam Williamson 2009-10-15 11:14:18 EDT
can we get updates from Michael Cronenworth and Dagan McGregor? Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 148 Michael Cronenworth 2009-10-15 11:53:12 EDT
(In reply to comment #147)
> can we get updates from Michael Cronenworth

I have not seen any blanking since the update on any of my systems. +1 close bug.
Comment 149 Adam Williamson 2009-10-15 11:54:51 EDT
michael: how about your blanking-during-video-playback issue?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 150 Michael Cronenworth 2009-10-15 13:05:56 EDT
(In reply to comment #149)
> michael: how about your blanking-during-video-playback issue?
> 

I have watched quite a few long videos since the latest X and g-p-m updates. No blanking. Yay! :D
Comment 151 Adam Williamson 2009-10-15 13:26:51 EDT
that's the latest F11 updates, right? not rawhide?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 152 Michael Cronenworth 2009-10-15 13:37:31 EDT
(In reply to comment #151)
> that's the latest F11 updates, right? not rawhide?

Yes, sir. F11. 32-bit and 64-bit machines have been tested and I have yet to see blanking no matter what task I am doing. Screensaver works and it will properly DPMS off monitors so it's just like I'm running F10 again.
Comment 153 Adam Williamson 2009-10-15 13:55:17 EDT
ok...I'm happy for us to close this, then, and I'll update the common bugs page. if anyone is still seeing a problem that looks like this...please open a new bug, for clarity.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 154 Michal Jaegermann 2009-11-05 12:08:40 EST
I am unhappy to report that I still see random screen blanking (and not a clue what may trigger those).
gnome-power-manager-2.26.4-3.fc11.x86_64
xorg-x11-server-Xorg-1.6.4-0.1.fc11.x86_64
xorg-x11-drv-ati-6.12.2-14.fc11.x86_64
These are the the latest released updates as for now.

Unless somebody will tell me that this is something different I am going to reopen this bug.
Comment 155 Michael Cronenworth 2009-11-05 12:22:27 EST
(In reply to comment #154)
> 
> Unless somebody will tell me that this is something different I am going to
> reopen this bug.  

IMHO you should open a new bug. This bug is fixed.
Comment 156 Michal Jaegermann 2009-11-05 13:37:27 EST
Re comment 155:
> This bug is fixed.
Could you point to a _released_ update, as opposed to something from koji, which does fix that bug?  Or, if a bug which I am seeing is something different then where is that difference?
Comment 157 Adam Williamson 2009-11-05 14:31:56 EST
comment 156: just look up and you will see multiple people reporting that they are no longer seeing the problem with latest F11 packages, no mention of Koji. given that, it makes more sense to file a new report to keep things clean and avoid the impression that this has somehow regressed for everyone who used to suffer it.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 158 Michal Jaegermann 2009-11-05 15:07:11 EST
> just look up and you will see multiple people reporting that they
> are no longer seeing the problem with latest F11 packages,

Really?  Could you please tell me where with reference to comment numbers which mention components?  Success reports I see talk about xorg-x11-server-1.6.4-0.3.fc11.  The last one available in updates is xorg-x11-server-1.6.4-0.1.fc11 and if I understand comment #139 from 2009-10-13 that entry says that the issues are still present.  I see the same in different settings.

Maybe the trouble is that this bug was closed but an update did not happen? Somebody jumped a gun?
Comment 159 Dagan McGregor 2009-11-05 16:36:48 EST
(In reply to comment #158)
> > just look up and you will see multiple people reporting that they
> > are no longer seeing the problem with latest F11 packages,
> 
> Really?  Could you please tell me where with reference to comment numbers which
> mention components?  Success reports I see talk about
> xorg-x11-server-1.6.4-0.3.fc11.  The last one available in updates is
> xorg-x11-server-1.6.4-0.1.fc11 and if I understand comment #139 from 2009-10-13
> that entry says that the issues are still present.  I see the same in different
> settings.
> 

 I am not sure if you have the updates-testing repo enabled, but I believe everyone above installed from that location.
Comment 160 Leif Gruenwoldt 2009-11-05 16:52:28 EST
(In reply to comment #159)

The blanking is fixed for me and I did not enable updates-testing. This is what I'm running:

$ rpm -q xorg-x11-server-Xorg.i586
xorg-x11-server-Xorg-1.6.4-0.1.fc11.i586
Comment 161 Armijn Hemel 2009-11-05 17:00:25 EST
I'm also not running from updates-testing and for me it seems to be fixed as well.
Comment 162 Danilo Câmara 2009-11-05 18:16:21 EST
No more blanks for me (didn't use updates-testing)
xorg-x11-server-Xorg-1.6.4-0.1.fc11.x86_64
Comment 163 Michal Jaegermann 2009-11-05 21:25:32 EST
> IMHO you should open a new bug. This bug is fixed.
All right. A bug 533315 was opened as this problem is clearly fixed only for some.  Check details there.

Note You need to log in before you can comment on or make changes to this bug.